Manganese ocean model
Author: Marco van Hulten (mvhulten@lsce.ipsl.fr)
Licence: GNU General Public License version 3 or higher

To reproduce the results from the paper *Manganese in the world ocean: a
first global model* ([arXiv]:1606.07128), download revision 5258 of NEMO
3.6 [1].  If exact reproduction is not the ultimate goal, and you rather
want to build further upon my model, download the latest version [2].

[arXiv]: https://arxiv.org/abs/1606.07128
[1]: http://forge.ipsl.jussieu.fr/nemo/svn/branches/2015/nemo_v3_6_STABLE/
[2]: http://forge.ipsl.jussieu.fr/nemo/svn/trunk/

Make a NEMO configuration as described in the NEMO documentation [3].

[3]: http://www.nemo-ocean.eu/

Put the Fortran 90/95 files you find in this tarball in the `MY_SRC/`
directory of the configuration, and compile the model.  In the case of
using it in a more recent version of NEMO 3.x, you should use the
`p4zsink.F90` PISCES routine from `NEMOGCM/NEMO/TOP_SRC/PISCES/` and
code the `key_mang` preprocessor blocks into `p4zsink.F90`.  In the case
of NEMO 4 or higher, in principle advised, the NEMO code structure may
have been changed, and more may need to be recoded.  Here the routines
`p4z_sink()` and `p4z_opt()` are used for convenience; the manganese
model only depends on PISCES for the determination of the euphotic zone
depth and its generic settling routine.  The forcing files (circulation,
dust, rivers and hydrothermal) are as provided in the NEMO 3.6 download.

Note that I am the author only of the manganese code that is enclosed
between the `key_mang` preprocessor keys.  NEMO and TOP are written by
others (references to be found in the paper), as well as PISCES (chiefly
Olivier Aumont and Laurent Bopp).

